Skip to content

Request a new specialist agent

POST
/api/v1/forge/agent
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/forge/agent \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "description": "example" }'

Dispatch an AgentForge build job and return a job_id to poll for status.

Media typeapplication/json
ForgeAgentRequest

Request body for POST /forge/agent.

Attributes: description: Natural-language description of the specialist needed.

object
description
required
Description

Natural-language description of the specialist (e.g. ‘I need a TikTok marketing specialist’)

string
>= 1 characters
Examplegenerated
{
"description": "example"
}

Successful Response

Media typeapplication/json
ForgeJobAcceptedEnvelope

Typed envelope for POST /forge/agent and POST /forge/connector (202).

object
data
required
ForgeJobAccepted

Envelope returned on successful job submission (202).

Attributes: job_id: UUID of the queued forge job. status: Always ‘pending’ at submission time.

object
job_id
required
Job Id
string
status
Status
string
default: pending
Example
{
"data": {
"status": "pending"
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}